> For the complete documentation index, see [llms.txt](https://nftperp.gitbook.io/core-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nftperp.gitbook.io/core-docs/nftperp/developers/getting-started/liquidators.md).

# Liquidators

Liquidators can know if a position is liquidatable by calling the isLiquidatable function on the ClearingHosue contract

```
isLiquidatable(IAMM amm, address trader)
```

Similarly, they can know if an AMM liquidity position is liquidatable by calling the isMakerLiquidatable function on the AMM contract

```solidity
isMakerLiquidatable(address maker)
```

In our [example repo](https://github.com/nftperp/sample_scripts/blob/main/liquidation.js), we provide an example of how a liquidator can get a list of all AMMs and positions at a given time. A liquidator can create a faster system through our [graph deployment](https://thegraph.com/hosted-service/subgraph/nftperp/v2) or by using their own node without any API calls. A liquidator can then liquidate a position by calling the following function in the ClearingHouse contract:&#x20;

```
liquidate(IRouter amm, address liquidatee)
```

Similarly, they can liquidate a maker by calling the following function in the AMM contract:

```solidity
liquidateMaker(address maker)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://nftperp.gitbook.io/core-docs/nftperp/developers/getting-started/liquidators.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
